xine-lib: opengl2_overlay_t Struct Reference

xine-lib 1.2.12

Data Fields
opengl2_overlay_t Struct Reference

## Data Fields
int | ovl_w
int | ovl_h
int | ovl_x
int | ovl_y
GLuint | tex
int | tex_w
int | tex_h
int | unscaled
int | vid_scale
int | extent_width
int | extent_height

## Field Documentation

## ◆ extent_height

int opengl2_overlay_t::extent_height

Referenced by opengl2_draw_scaled_overlays(), opengl2_draw_unscaled_overlays(), and opengl2_overlay_blend().

## ◆ extent_width

int opengl2_overlay_t::extent_width

Referenced by opengl2_draw_scaled_overlays(), opengl2_draw_unscaled_overlays(), and opengl2_overlay_blend().

## ◆ ovl_h

int opengl2_overlay_t::ovl_h

Referenced by opengl2_draw_unscaled_overlays(), opengl2_overlay_blend(), opengl2_rect_set(), opengl2_update_overlays(), and opengl2_upload_overlay().

## ◆ ovl_w

int opengl2_overlay_t::ovl_w

Referenced by opengl2_draw_unscaled_overlays(), opengl2_overlay_blend(), opengl2_rect_set(), opengl2_update_overlays(), and opengl2_upload_overlay().

## ◆ ovl_x

int opengl2_overlay_t::ovl_x

Referenced by opengl2_draw_unscaled_overlays(), opengl2_overlay_blend(), and opengl2_rect_set().

## ◆ ovl_y

int opengl2_overlay_t::ovl_y

Referenced by opengl2_draw_unscaled_overlays(), opengl2_overlay_blend(), and opengl2_rect_set().

## ◆ tex

GLuint opengl2_overlay_t::tex

Referenced by opengl2_draw_scaled_overlays(), opengl2_draw_unscaled_overlays(), and opengl2_upload_overlay().

## ◆ tex_h

int opengl2_overlay_t::tex_h

Referenced by opengl2_draw_scaled_overlays(), and opengl2_upload_overlay().

## ◆ tex_w

int opengl2_overlay_t::tex_w

Referenced by opengl2_draw_scaled_overlays(), and opengl2_upload_overlay().

## ◆ unscaled

int opengl2_overlay_t::unscaled

Referenced by opengl2_draw_scaled_overlays(), opengl2_draw_unscaled_overlays(), and opengl2_overlay_blend().

## ◆ vid_scale

int opengl2_overlay_t::vid_scale

Referenced by opengl2_draw_scaled_overlays(), opengl2_overlay_blend(), and opengl2_update_overlays().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_out/video_out_opengl2.c